Subject: bug#28905: 11.90.2.2017-07-25; TeX-documentation-texdoc blocks

From: "Fran Burstall (Gmail)" <[email-masked]>
Date: Thu, 19 Oct 2017 22:38:53 +0100

Greetings!

I do

M-x TeX-documentation-texdoc

and supply the argument amsmath when prompted.  An evince
window fires with the documentation but emacs is blocked
until I exit evince.

If I try the same thing with tex-doc, evince fires but emacs
remains usable.

Experiment suggests that the former uses
shell-command-to-string and this blocks while the latter
uses call-process to fire texdoc and this does not block
(or, at least, exits once texdoc has handed off to evince).

Thanks for the wonderful package!

---Fran

Emacs  : GNU Emacs 24.4.1 (i586-pc-linux-gnu, GTK+ Version 3.14.5)
 of 2017-09-12 on x86-csail-01, modified by Debian
Package: 11.90.2.2017-07-25

current state:
==============
(setq
 AUCTeX-date "2017-07-25"
 window-system 'x
 LaTeX-version "2e"
 TeX-style-path '("~/.emacs.d/auctex"
"/home/fran/.emacs.d/elpa/auctex-11.91.0/style"
  "/home/fran/.emacs.d/auctex/auto" "/home/fran/.emacs.d/auctex/style"
"auto" "style")
 TeX-auto-save t
 TeX-parse-self t
 TeX-master t
 TeX-command-list '(("TeX" "%(PDF)%(tex) %(file-line-error) %(extraopts)
%`%S%(PDFout)%(mode)%' %t" TeX-run-TeX
     nil (plain-tex-mode ams-tex-mode texinfo-mode) :help "Run plain TeX")
    ("LaTeX" "%`%l%(mode)%' %t" TeX-run-TeX nil (latex-mode doctex-mode)
:help "Run LaTeX")
    ("Makeinfo" "makeinfo %(extraopts) %t" TeX-run-compile nil
(texinfo-mode) :help
     "Run Makeinfo with Info output")
    ("Makeinfo HTML" "makeinfo %(extraopts) --html %t" TeX-run-compile nil
(texinfo-mode) :help
     "Run Makeinfo with HTML output")
    ("AmSTeX" "amstex %(PDFout) %(extraopts) %`%S%(mode)%' %t" TeX-run-TeX
nil (ams-tex-mode)
     :help "Run AMSTeX")
    ("ConTeXt" "%(cntxcom) --once --texutil %(extraopts) %(execopts)%t"
TeX-run-TeX nil
     (context-mode) :help "Run ConTeXt once")
    ("ConTeXt Full" "%(cntxcom) %(extraopts) %(execopts)%t" TeX-run-TeX nil
(context-mode) :help
     "Run ConTeXt until completion")
    ("BibTeX" "bibtex %s" TeX-run-BibTeX nil t :help "Run BibTeX")
    ("Biber" "biber %s" TeX-run-Biber nil t :help "Run Biber")
    ("View" "%V" TeX-run-discard-or-function t t :help "Run Viewer")
    ("Print" "%p" TeX-run-command t t :help "Print the file")
    ("Queue" "%q" TeX-run-background nil t :help "View the printer queue"
:visible
     TeX-queue-command)
    ("File" "%(o?)dvips %d -o %f " TeX-run-dvips t t :help "Generate
PostScript file")
    ("Dvips" "%(o?)dvips %d -o %f " TeX-run-dvips nil t :help "Convert DVI
file to PostScript")
    ("Dvipdfmx" "dvipdfmx %d" TeX-run-dvipdfmx nil t :help
     "Convert DVI file to PDF with dvipdfmx")
    ("Ps2pdf" "ps2pdf %f" TeX-run-ps2pdf nil t :help "Convert PostScript
file to PDF")
    ("Glossaries" "makeglossaries %s" TeX-run-command nil t :help
     "Run makeglossaries to create glossary file")
    ("Index" "makeindex %s" TeX-run-index nil t :help "Run makeindex to
create index file")
    ("upMendex" "upmendex %s" TeX-run-index t t :help "Run upmendex to
create index file")
    ("Xindy" "texindy %s" TeX-run-command nil t :help "Run xindy to create
index file")
    ("Check" "lacheck %s" TeX-run-compile nil (latex-mode) :help
     "Check LaTeX file for correctness")
    ("ChkTeX" "chktex -v6 %s" TeX-run-compile nil (latex-mode) :help
     "Check LaTeX file for common mistakes")
    ("Spell" "(TeX-ispell-document \"\")" TeX-run-function nil t :help
     "Spell-check the document")
    ("Clean" "TeX-clean" TeX-run-function nil t :help "Delete generated
intermediate files")
    ("Clean All" "(TeX-clean t)" TeX-run-function nil t :help
     "Delete generated intermediate and output files")
    ("Other" "" TeX-run-command t t :help "Run an arbitrary command"))
 )